ab(1)

NAME
ab - Apache HTTP server benchmarking tool

SYNOPSIS
ab [ -k ] [ -n requests ] [ -t timelimit ] [ -c concurrency ] [http://]hostname[:port]/path ab [ -v ] [ -h ]

DESCRIPTION
ab is a tool for benchmarking your Apache HyperText Transfer Protocol (HTTP) server. It is designed to give you an impression on how performant is your current Apache installation. This especially shows you how much requests per time your Apache installation is capable to serve.

OPTIONS

-k  Enable the HTTP KeepAlive feature, i.e. perform multiple requests within one HTTP session instead. Default is no KeepAlive.

-n requests
    Number of requests to perform for the benchmarking session. The default is to just perform one single request which usually leads to not very representative benchmarking results.

-t timelimit
    Seconds to max. spend for benchmarking. This implies a -n 50000 internally. Use this to benchmark the server within a fixed total amount of time. Per default there is no timelimit.

-c concurrency
    Number of multiple requests per time to perform. Default is one request per time.

-v  Display version and copyright information.

-h  Display usage information.

SEE ALSO
httpd(8)